Skip to navigation

Update Dropdown

Update Dropdown.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

dropdown_idstringRequired
ID of the Dropdown.

Request

This endpoint expects an object.
archiveReasonstringOptional
archivedbooleanOptional
namestringOptional
Updated dropdown name.
optionslist of objectsOptional
Replacement list of options. Include existing options to retain them.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
idstringOptional
ID of the dropdown
namestringOptional
Name of the dropdown
optionsstringOptionalformat: "uri"
Array of dropdown options
registryobjectOptional
The registry that the dropdown belongs to

Errors

400
Dropdown Update Request Bad Request Error
403
Dropdown Update Request Forbidden Error
404
Dropdown Update Request Not Found Error
409
Dropdown Update Request Conflict Error
429
Dropdown Update Request Too Many Requests Error
500
Dropdown Update Request Internal Server Error